Bug 1649617 - rolling-update - ubuntu - extra monitor service with fqdn getting enabled
Summary: rolling-update - ubuntu - extra monitor service with fqdn getting enabled
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: z4
: 3.3
Assignee: Dimitri Savineau
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 04:48 UTC by Vasishta
Modified: 2020-02-19 21:34 UTC (History)
14 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.37-1.el7cp Ubuntu: ceph-ansible_3.2.37-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
File contains playbook log (1.71 MB, text/plain)
2018-11-14 04:48 UTC, Vasishta
no flags Details
Ansible rolling update logs (2.28 MB, text/plain)
2019-10-29 08:43 UTC, Ameena Suhani S H
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4758 'None' closed rolling_update: don't enable ceph-mon unit 2020-02-17 08:49:40 UTC

Description Vasishta 2018-11-14 04:48:06 UTC
Created attachment 1505539 [details]
File contains playbook log

Description of problem:
After running rolling-update, monitor service with fqdn is getting enabled which due to which there will be a failed monitor service in the list. I think this induces confusion in user.

Version-Release number of selected component (if applicable):
3.2.0~rc1-2redhat1

How reproducible:
Always

Steps to Reproduce:
1. Configure a cluster and run rolling updated

Actual results:
Before rolling update -
$ ll /etc/systemd/system/ceph-mon.target.wants/
total 8
drwxr-xr-x  2 root root 4096 Nov 14 03:41 ./
drwxr-xr-x 14 root root 4096 Nov 14 03:42 ../
lrwxrwxrwx  1 root root   37 Nov 14 03:41 ceph-mon@magna042.service -> /lib/systemd/system/ceph-mon@.service
				

After rolling update -
$  ll /etc/systemd/system/ceph-mon.target.wants/
total 8
drwxr-xr-x  2 root root 4096 Nov 14 04:13 ./
drwxr-xr-x 14 root root 4096 Nov 14 03:42 ../
lrwxrwxrwx  1 root root   37 Nov 14 04:13 ceph-mon@magna042.ceph.redhat.com.service -> /lib/systemd/system/ceph-mon@.service
lrwxrwxrwx  1 root root   37 Nov 14 03:41 ceph-mon@magna042.service -> /lib/systemd/system/ceph-mon@.service


Expected results:
No extr services should get enabled

Additional info:

1) Hostnames were FQDN

2) $ sudo systemctl list-units |grep "ceph-mon"   
* ceph-mon@magna042.ceph.redhat.com.service                                                loaded failed failed    Ceph cluster monitor daemon
  ceph-mon@magna042.service                                                                loaded active running   Ceph cluster monitor daemon

Comment 3 leseb 2018-11-20 21:38:24 UTC
Can you share your group_var files?

Comment 6 leseb 2018-12-17 13:43:47 UTC
We haven't really qualified this bug, we don't know if it's valid or not. So I'm not sure what to write as a known issue, since we haven't really determined if this was actually a bug.

Comment 7 John Brier 2018-12-17 15:49:18 UTC
Okay. I removed it from the Release Notes tracker so we won't mention anything about it in the Release Notes.

Comment 8 Giridhar Ramaraju 2019-08-05 13:09:53 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 9 Giridhar Ramaraju 2019-08-05 13:11:04 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 13 Ameena Suhani S H 2019-10-29 08:43:10 UTC
Created attachment 1630042 [details]
Ansible rolling update logs

Comment 17 Ameena Suhani S H 2019-11-06 02:50:30 UTC
Guillaume,

The log in c13 contains errors of this bz https://bugzilla.redhat.com/show_bug.cgi?id=1766499.

After rolling_update please execute [1] to reproduce the current bug issue

[1] $ll /etc/systemd/system/ceph-mon.target.wants/


Note You need to log in before you can comment on or make changes to this bug.